vulkan-loader (1.3.224.0-1~steamrt1.h.1) heavy; urgency=medium

  * Merge from soldier (steamrt/tasks#181)
  * Remaining changes, relative to soldier:
    - d/gbp.conf, etc: Configure for Steam Runtime 1½ 'heavy'
    - Revert "Bump debhelper to 12, use -compat."
    - Revert "Use compat level 11."
    - Disable googletest tests.
      googletest isn't available in heavy, and the tests are expected to
      fail (and are ignored) in an autobuilder environment anyway, because
      no Vulkan drivers or windowing systems are available.
    - Use python3.5 to regenerate generated files, rather than the default
      python3.4
    - d/p/steamrt/scripts-Avoid-using-f-strings-for-Python-3.5-compatibilit.patch:
      Adapt code-generation for python3.5 compatibility

 -- Simon McVittie <smcv@collabora.com>  Thu, 06 Oct 2022 13:59:17 +0100

vulkan-loader (1.3.224.0-1~steamrt2.1) soldier; urgency=medium

  * Merge from sniper (steamrt/tasks#181)
  * Remaining changes, relative to sniper:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 2 'soldier'

 -- Simon McVittie <smcv@collabora.com>  Thu, 06 Oct 2022 13:43:30 +0100

vulkan-loader (1.3.224.0-1~steamrt3.1) sniper; urgency=medium

  * Merge from Debian testing (steamrt/tasks#181)
  * Remaining changes, relative to Debian:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Thu, 06 Oct 2022 13:42:22 +0100

vulkan-loader (1.3.224.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 18:28:28 +0300

vulkan-loader (1.3.216.0-1~steamrt1.h.1) heavy; urgency=medium

  * Merge from Debian testing (steamrt/tasks#136)
  * Remaining changes, relative to soldier:
    - d/gbp.conf, etc: Configure for Steam Runtime 1½ 'heavy'
    - Revert "Bump debhelper to 12, use -compat."
    - Revert "Use compat level 11."
    - Disable googletest tests.
      googletest isn't available in heavy, and the tests are expected to
      fail (and are ignored) in an autobuilder environment anyway, because
      no Vulkan drivers or windowing systems are available.
    - Don't regenerate generated files during build.
      heavy's Python 3 is too old for this.

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Jul 2022 14:08:39 +0100

vulkan-loader (1.3.216.0-1~steamrt2.1) soldier; urgency=medium

  * Merge from Debian testing (steamrt/tasks#136)
  * Remaining changes, relative to sniper:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 2 'soldier'

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Jul 2022 13:32:21 +0100

vulkan-loader (1.3.216.0-1~steamrt3.1) sniper; urgency=medium

  * Merge from Debian testing (steamrt/tasks#136)
  * Remaining changes, relative to Debian:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Jul 2022 13:16:58 +0100

vulkan-loader (1.3.216.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 12:39:19 +0300

vulkan-loader (1.3.211.0-1~steamrt1.h.1) heavy; urgency=medium

  * Backport to SteamRT 1½ 'heavy' (steamrt/tasks#117)
  * Changes relative to soldier:
    - d/gbp.conf, etc: Configure for Steam Runtime 1½ 'heavy'
    - Revert "Bump debhelper to 12, use -compat."
    - Revert "Use compat level 11."
    - Disable googletest tests.
      googletest isn't available in heavy, and the tests are expected to
      fail (and are ignored) in an autobuilder environment anyway, because
      no Vulkan drivers or windowing systems are available.
    - Don't regenerate generated files during build.
      heavy's Python 3 is too old for this.

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Jun 2022 16:52:09 +0100

vulkan-loader (1.3.211.0-1~steamrt2.1) soldier; urgency=medium

  * Merge from Debian testing, via sniper (steamrt/tasks#117)
  * Remaining changes, relative to Debian:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 2 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Jun 2022 16:44:06 +0100

vulkan-loader (1.3.211.0-1~steamrt3.1) sniper; urgency=medium

  * Merge from Debian testing (steamrt/tasks#117)
  * Remaining changes, relative to Debian:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Jun 2022 16:42:34 +0100

vulkan-loader (1.3.211.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * sync_headers.sh: Fix checking the version.
  * patches: Dropped, upstream.

  [ Simon McVittie ]
  * tests: Exclude precompiled binary objects from .orig tarball
  * d/copyright: Update
  * Regenerate loader/generated/ during build.
    Thanks to Helmut Grohne (Closes: #981362)
  * d/rules: Delete another __pycache__ directory
  * d/libvulkan1.symbols: Expect i386 to be treated as an x86 architecture

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 11:34:17 +0300

vulkan-loader (1.3.204.1-2~steamrt1.h.1) heavy; urgency=medium

  * Backport to SteamRT 1½ 'heavy' (steamrt/tasks#97)
  * Changes relative to soldier:
    - d/gbp.conf, etc: Configure for Steam Runtime 1½ 'heavy'
    - Revert "Bump debhelper to 12, use -compat."
    - Revert "Use compat level 11."
    - Disable googletest tests.
      googletest isn't available in heavy, and the tests are expected to
      fail (and are ignored) in an autobuilder environment anyway, because
      no Vulkan drivers or windowing systems are available.
    - d/p/Relax-minimum-CMake-version-constraint.patch:
      Add patch to relax CMake version dependency

 -- Simon McVittie <smcv@collabora.com>  Fri, 06 May 2022 18:24:02 +0100

vulkan-loader (1.3.204.1-2~steamrt2.1) soldier; urgency=medium

  * Rebuild for SteamRT 2 'soldier' (steamrt/tasks#97)

 -- Simon McVittie <smcv@collabora.com>  Fri, 06 May 2022 18:22:33 +0100

vulkan-loader (1.3.204.1-2~steamrt3.1) sniper; urgency=medium

  * Merge from Debian testing (steamrt/tasks#97)
  * Remaining changes, relative to Debian:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add
  * d/watch, d/sync_headers.sh: Return to Debian's versions

 -- Simon McVittie <smcv@collabora.com>  Fri, 06 May 2022 16:31:34 +0100

vulkan-loader (1.3.204.1-2) unstable; urgency=medium

  * symbols: Fix arch specific symbols.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 16:27:24 +0200

vulkan-loader (1.3.204.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 11:50:36 +0200

vulkan-loader (1.3.204.0-1) unstable; urgency=medium

  * control: Drop python3-minimal dependency from libvulkan-dev.
  * New upstream release.
  * symbols: Updated.
  * symbols: Go back to a single symbols file, but skip some symbols on
    i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Feb 2022 21:35:10 +0200

vulkan-loader (1.2.198.1-2~steamrt2.1) soldier; urgency=medium

  * Rebuild for SteamRT 2 'soldier' (steamrt/tasks#68)

 -- Simon McVittie <smcv@collabora.com>  Wed, 19 Jan 2022 16:45:53 +0000

vulkan-loader (1.2.198.1-2~steamrt3.1) sniper; urgency=medium

  * Merge from Debian unstable (steamrt/tasks#68)
  * Remaining changes, relative to Debian's 1.2.189.1-2:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add
    - d/watch: Look for vX.Y.Z beta versions, not just sdk-X.Y.Z.W stable
      versions
    - d/sync_headers.sh: Cope with vX.Y.Z beta versions too

 -- Simon McVittie <smcv@collabora.com>  Fri, 07 Jan 2022 11:51:04 +0000

vulkan-loader (1.2.198.1-2) unstable; urgency=medium

  * patches: Add patches to fix symbols for i386. (Closes: #1003219)
  * symbols: Add a symlink .aarch64 -> .amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 10:46:21 +0200

vulkan-loader (1.2.198.1-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh: Updated to take sdk version as an argument, and use
    git checkout instead of force reset.
  * fix-ftbfs.diff: Dropped, upstream.
  * Drop prebuilt libdummy binaries from the source.
  * control: Add python dep to libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jan 2022 11:00:05 +0200

vulkan-loader (1.2.189.0-2~steamrt3.1) sniper; urgency=medium

  * Merge from Debian testing/unstable
  * Remaining changes, relative to Debian's 1.2.189.0-2:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add
    - d/watch: Look for vX.Y.Z beta versions, not just sdk-X.Y.Z.W stable
      versions
    - d/sync_headers.sh: Cope with vX.Y.Z beta versions too
  * Adjust versioning so that 1.2.189.0-2 from Debian is preferred

 -- Simon McVittie <smcv@collabora.com>  Wed, 27 Oct 2021 19:04:51 +0100

vulkan-loader (1.2.189.0-2) unstable; urgency=medium

  * fix-ftbfs.diff: Fix a typo in a test.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Sep 2021 15:32:49 +0300

vulkan-loader (1.2.189.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Sep 2021 13:40:34 +0300

vulkan-loader (1.2.182.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 15:12:01 +0300

vulkan-loader (1.2.182.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Aug 2021 08:58:06 +0300

vulkan-loader (1.2.170-0+steamrt2.1) soldier; urgency=medium

  * Rebuild for SteamRT 2 'soldier'

 -- Simon McVittie <smcv@collabora.com>  Fri, 19 Feb 2021 17:15:55 +0000

vulkan-loader (1.2.170-0+steamrt3.1) sniper; urgency=medium

  * New upstream development release

 -- Simon McVittie <smcv@collabora.com>  Wed, 17 Feb 2021 12:44:31 +0000

vulkan-loader (1.2.169-0+steamrt2.1) soldier; urgency=medium

  * Rebuild for SteamRT 2 'soldier'

 -- Simon McVittie <smcv@collabora.com>  Mon, 15 Feb 2021 13:54:45 +0000

vulkan-loader (1.2.169-0+steamrt3.1) sniper; urgency=medium

  * Merge packaging from SteamRT 2 'soldier' with latest version from
    Debian testing/unstable
  * Remaining changes, relative to Debian's 1.2.162.0-1:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 3 'sniper'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add
  * d/watch: Look for vX.Y.Z beta versions, not just sdk-X.Y.Z.W stable
    versions
  * d/sync_headers.sh: Cope with vX.Y.Z beta versions too
  * Update to v1.2.169 for better layer loading with pressure-vessel (T25064)

 -- Simon McVittie <smcv@collabora.com>  Mon, 15 Feb 2021 13:52:55 +0000

vulkan-loader (1.2.162.0-1) unstable; urgency=medium

  * New upstream release.
  * fix-pkgconfig.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jan 2021 09:34:46 +0200

vulkan-loader (1.2.154.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Oct 2020 09:58:07 +0300

vulkan-loader (1.2.148.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Sep 2020 14:57:51 +0300

vulkan-loader (1.2.141.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jun 2020 07:20:34 +0300

vulkan-loader (1.2.135.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Add missing autopkgtests dependencies (Closes: #958836)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 May 2020 13:33:06 +0300

vulkan-loader (1.2.135.0-2) unstable; urgency=medium

  * symbols: Add a separate symbols file for x86, strip missing symbols
    from the rest.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 19:13:42 +0300

vulkan-loader (1.2.135.0-1~steamrt2.1) soldier; urgency=medium

  * Merge from SteamRT 1 'scout'
  * Remaining changes, relative to Debian 1.2.135.0-1:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 2 'soldier'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 13 May 2020 12:24:38 +0100

vulkan-loader (1.2.135.0-1~steamrt1.1) scout; urgency=medium

  * Merge SDK 1.2.135.0 release from Debian unstable
  * Remaining changes:
    - d/gbp.conf, d/git-version-gen.control: Set branch etc. for
      SteamRT 1 'scout'
    - d/README.source: Add useful git remotes for SteamRT developers
    - Add SteamRT Gitlab-CI integration
    - Revert debhelper compat level to 9
    - Disable googletest, it isn't available in scout
    - d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Thu, 09 Apr 2020 11:11:15 +0100

vulkan-loader (1.2.135.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1871754)
  * control: Bump policy to 4.5.0.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 07:39:59 +0300

vulkan-loader (1.2.135~srt-0+steamrt2.1) soldier; urgency=medium

  * New upstream version 1.2.135.
    We use a SteamRT version suffix to avoid colliding with different
    release artifacts imported by the Debian maintainer.
  * d/watch, d/gbp.conf: Reconfigure to download v1.2.135
  * d/gbp.conf: Set branch etc. for SteamRT 2 'soldier'
  * d/README.source: Add useful git remotes for SteamRT developers
  * d/tests: Add a superficial smoke-test for libvulkan-dev
  * Add SteamRT Gitlab-CI integration
  * d/libvulkan1.symbols: Add exported ABI tracking

 -- Simon McVittie <smcv@collabora.com>  Wed, 18 Mar 2020 16:46:22 +0000

vulkan-loader (1.2.135~srt-0+steamrt1.1) scout; urgency=medium

  * New upstream version 1.2.135.
    We use a SteamRT version suffix to avoid colliding with different
    release artifacts imported by the Debian maintainer.
  * d/watch, d/gbp.conf: Reconfigure to download v1.2.135
  * d/gbp.conf: Set branch etc. for SteamRT 1 'scout'
  * d/README.source: Add useful git remotes for SteamRT developers
  * d/tests: Add a superficial smoke-test for libvulkan-dev
  * Add SteamRT Gitlab-CI integration
  * d/libvulkan1.symbols: Add exported ABI tracking

 -- Simon McVittie <smcv@collabora.com>  Wed, 18 Mar 2020 16:44:49 +0000

vulkan-loader (1.2.131.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper to 12, use -compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Feb 2020 17:17:52 +0200

vulkan-loader (1.1.126.0-2) unstable; urgency=medium

  * install-generated-headers.diff: Dropped, they're actually shipped by
    validationlayers now.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 20:28:51 +0200

vulkan-loader (1.1.126.0-1) unstable; urgency=medium

  * New upstream release.
  * install-extra-headers.diff: Install vk_layer_dispatch_table.h
    again, and add other pre-generated headers. (LP: #1849260)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 15:17:20 +0200

vulkan-loader (1.1.121.0-2) unstable; urgency=medium

  * control: Make mesa-vulkan-drivers the preferred driver package to
    install via Recommends. (Closes: #940560)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 15:18:53 +0300

vulkan-loader (1.1.121.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add vulkan-icd to libvulkan1 Recommends. (Closes: #935871)

  [ Helmut Grohne ]
  * Support DEB_BUILD_OPTIONS=nocheck to drop googletest. (Closes:
    #928696)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 10:35:32 +0300

vulkan-loader (1.1.114.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 15:55:16 +0300

vulkan-loader (1.1.106.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Apr 2019 11:37:42 +0300

vulkan-loader (1.1.101.0-2) unstable; urgency=medium

  * rules: Enable tests, but expect most of them to fail since there's
    no software driver yet.
  * control, rules: Drop quilt from build-depends/dh since this is a
    format 3.0 pkg.
  * rules: Update the clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Mar 2019 18:38:57 +0200

vulkan-loader (1.1.101.0-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh, watch: Revert back to using tags which upstream has
    validated as release tags.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Mar 2019 15:43:23 +0200

vulkan-loader (1.1.97-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Jan 2019 14:22:30 +0200

vulkan-loader (1.1.97-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Jens Reyer ]
  * sync_headers.sh, watch: Modified for upstream tag format change.
  * README.source: Fixes to the workflow.
  * rules: Use dpkg library instead of dpkg-parsechangelog.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 16:50:01 +0200

vulkan-loader (1.1.82.0-1) experimental; urgency=medium

  * New upstream release from the vulkan-loader repo.
  * Remove embedded glslang.
  * copyright: Drop Files-Excluded, the repo doesn't have them anymore.
  * control, copyright, watch: Fix upstream repo name.
  * Drop vulkan-utils.
  * Purge patches that were for demos, layers or external repos.
  * Remove d/get-external.sh, which is obsolete.
  * Drop layer & build cruft.
  * control: Drop python3-lxml, -distutils from build-depends.
  * d/s/include-binaries: Removed, obsolete.
  * dirs: Add /etc/vulkan/icd.d.
  * Use compat level 11.
  * rules: Use dh_missing.
  * Import vulkan-headers and ship the files in libvulkan-dev.
  * control: Bump policy to 4.2.0, no changes.
  * README.source: Updated for vulkan-loader.
  * control: Fix VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Sep 2018 17:18:05 +0300

vulkan (1.1.73+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move layers from libvulkan-dev to libvulkan1. (Closes: #891582)
  * control: Add python3-distutils to build-depends. (Closes: #896796)
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 May 2018 13:18:00 +0300

vulkan (1.1.70+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * fix-pkgconfig.diff: Fix wrong libdir in vulkan.pc. (LP: #1754288)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Mar 2018 15:39:40 +0200

vulkan (1.0.68+dfsg1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * copyright: Updated. (Closes: #881014)
  * patches: Refreshed.
  * get-external.sh: Use upstream script to update glslang and spirv-
    tools/headers.
  * get-external.sh, use-known-sha.diff: Don't require git, grep the
    spirv sha from known-good.json and use that.
  * rules: Update glslang build.
  * rules: Tell cmake where glslangValidator is.
  * rules: Update clean target.
  * control: Update VCS urls.
  * control: Bump policy to 4.1.3, no changes.

  [ Andreas Boll ]
  * debian/get-external.sh: Append external Git revision of glslang to
    the commit message.
  * Add man pages for vulkaninfo and vulkan-smoketest.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Mar 2018 08:55:08 +0200

vulkan (1.0.65.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #886796)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jan 2018 16:18:30 +0200

vulkan (1.0.61.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Dropped install-vk-layer-dispatch-table-h.diff which is
    upstream, refresh use-mxgot-for-mips64.patch.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Sep 2017 15:28:57 +0300

vulkan (1.0.54.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 Jul 2017 12:38:14 +0300

vulkan (1.0.51.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - smoke-check-for-installed-so.diff: Dropped, upstream.
  * install-vk-layer-dispatch-table-h.diff: Put
    vk_layer_dispatch_table.h in include/vulkan. (LP: #1692244)
  * Rename vulkan-smoke to vulkan-smoketest.
  * rules: Fix glslang build.
  * copyright: Local copy of spirv.hpp got dropped, so drop it from
    copyright too.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Jul 2017 12:26:58 +0300

vulkan (1.0.46.0+dfsg3-1) experimental; urgency=medium

  * rules: Fix glslang/spir-v build to always run make.
  * get-external.sh, rules: Fix the order of spirv-tools/-headers, and
    rebuild the tarball. Thanks, Philipp Zabel!

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 20 May 2017 00:11:43 +0300

vulkan (1.0.46.0+dfsg2-1) experimental; urgency=medium

  * Build libVkLayer.
    - debian/SPIRV/spirv.hpp: Dropped
    - debian/get-external.sh: Add a script to update glslang and SPIR-V
    - rules: Modify gentarball target
    - rules: Modify to build glslang & spirv first
    - libvulkan-dev.install, dirs, rules: Install json files, provide
      empty systemwide dirs
  * Install smoke demo.
    - demos-dont-build-tri-or-cube-or-smoke.diff ->
      demos-dont-build-cube.diff: Renamed and updated
    - smoke-check-for-installed-so.diff: Check for libvulkan.so.1 instead
      of .so
  * rules: Support parallel builds.
  * Add README.source and a reminder to get-external.sh to run git add.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 May 2017 18:57:44 +0300

vulkan (1.0.46.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * trim-build.diff, disable-mir.diff, rules: Use clang build options
    instead of patching CMakeFile.txt.
  * rules: Set build type to 'Release'.
  * patches: Refreshed.
  * dev.install: Add pkgconfig file.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 May 2017 14:21:14 +0300

vulkan (1.0.42.0+dfsg1-1) experimental; urgency=medium

  * New upstream release. (Closes: #857185)
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Mar 2017 10:38:21 +0200

vulkan (1.0.39.0+dfsg1-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
  * Refresh patches.
  * control: Add libxrandr-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 26 Jan 2017 17:43:33 +0200

vulkan (1.0.37.0+dfsg1-1) unstable; urgency=medium

  [ Andreas Boll ]
  * Ship vulkan_intel.h via libvulkan-dev (Imported from Mesa source
    package).

  [ Timo Aaltonen ]
  * New upstream release.
  * Refresh patches.
  * demos-add-install-rule.diff, layers-install-to-cmake-install-libdir.diff,
    loader-add-install-rule.diff: Dropped, upstream.
  * control: Add libwayland-dev to build-depends.
  * disable-mir.diff: Don't try to build with Mir support, which Debian
    doesn't have.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 23 Dec 2016 08:39:12 +0200

vulkan (1.0.26.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2016 08:30:52 +0300

vulkan (1.0.21.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * copyright: Update excludes.
  * patches: Refreshed.
  * control: Build only on linux, others are not supported.
  * Don't build layers, which now depend on SPIR-V tools. (Closes: #822284)
  * control: Add multiarch support. (Closes: #834200)
  * control: Fix libvulkan1 description. (Closes: #822283)
  * control: Add Breaks/Replaces against upstream packages. (Closes: #823554)
    (LP: #1572114)
  * Drop libvulkan1 postinst/postrm. (Closes: #822286)
  * control: Bump policy to 3.9.8, no changes.
  * use-mxgot-for-mips64.patch: While we don't build layers anymore, add
    a patch to fix the build on mips64 in case the build is revived
    later. (Closes: #827651)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 19 Aug 2016 00:29:31 +0300

vulkan (1.0.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * Don't build smoke demo, needs glslang like tri/cube.
  * control: Add libx11-dev and python3-lxml to build-depends.
  * Drop layers-use-local-spirv-hpp.diff, use a config option to find
    debian/SPIRV/spirv.hpp
  * copyright: Fix Files-Excluded.
  * watch: Match more tags.
  * copyright: Add buildAndroid to Files-Excluded.
  * control: Bump policy to 3.9.7, no changes.
  * control: Use https for Vcs-Git.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Apr 2016 13:57:37 +0300

vulkan (1.0.3.1+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #814922)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Mar 2016 14:08:35 +0200
